ext/intl/msgformat/msgformat_format.c... CVE-2016-7416 CNNVD-201609-333

5.0 AV AC AU C I A
发布: 2016-09-17
修订: 2018-05-04

PHP(PHP:Hypertext Preprocessor,PHP:超文本预处理器)是PHP Group和开放源代码社区共同维护的一种开源的通用计算机脚本语言。该语言支持多重语法、支持多数据库及操作系统和支持C、C++进行程序扩展等。 PHP 5.6.26之前的版本和7.0.11之前的7.x版本中的ext/intl/msgformat/msgformat_format.c文件存在安全漏洞,该漏洞源于程序没有限制‘locale’长度提供给ICU库中的Locale类。远程攻击者可通过带有较长的第一个参数的‘MessageFormatter::formatMessage’函数调用利用该漏洞造成拒绝服务(应用程序崩溃)。

0%
当前有1条漏洞利用/PoC
当前有12条受影响产品信息